"""AnsjerUIDManage URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path

from Controller import UserController, FileController, UIDController, LogController, SalesController, \
    OrderTaskController, HistoryUIDController, SerialNumberController, AlexaController, CompanyController

urlpatterns = [
    path('admin/', admin.site.urls),
    re_path('user/(?P<operation>.*)', UserController.UserView.as_view()),
    re_path('uid/(?P<operation>.*)', UIDController.UIDView.as_view()),
    re_path('serialNumber/(?P<operation>.*)', SerialNumberController.SerialNumberView.as_view()),
    re_path('history/(?P<operation>.*)', HistoryUIDController.HistoryUIDView.as_view()),
    re_path('log/(?P<operation>.*)', LogController.LogView.as_view()),
    re_path('orderTask/(?P<operation>.*)', OrderTaskController.OrderTaskView.as_view()),
    path('downloadUID', FileController.DownloadUIDFileView.as_view()),
    path('downloadSerialNumber', FileController.DownloadSerialNumberFileView.as_view()),
    path('upload', FileController.UploadUIDFileView.as_view()),
    path('uploadSerialNumber', FileController.UploadSerialNumberFileView.as_view()),
    # path('download', FileController.DownloadUIDFileView.as_view()),
    path('sales', SalesController.SalesView.as_view()),
    path('device/online', SalesController.DeviceOnlineView.as_view()),
    re_path('serialNumber/(?P<operation>.*)', SerialNumberController.SerialNumberView.as_view()),
    re_path('company/(?P<operation>.*)', CompanyController.CompanyView.as_view()),

    path('alexa/command', AlexaController.PushCommandView.as_view()),
]
